Page MenuHomePhabricator

RESTBase deploy access and shell on Cassandra cluster for eevans
Closed, ResolvedPublic

Description

Eric Evans started today on the services team. He has a lot of Cassandra and ops experience (long-time Debian Developer), and will probably find a lot of things to improve about our cassandra setup.

The access he needs is basically what we discussed in T89366.

Details

Related Gerrit Patches:

Event Timeline

GWicke raised the priority of this task from to Needs Triage.
GWicke updated the task description. (Show Details)
GWicke added subscribers: GWicke, RobLa-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2015, 10:46 PM
GWicke set Security to None.Feb 27 2015, 10:49 PM
GWicke edited subscribers, added: Eevans; removed: Aklapper.
coren triaged this task as Medium priority.Mar 2 2015, 3:04 PM
coren added a subscriber: coren.
Dzahn added a subscriber: Dzahn.Mar 7 2015, 12:22 AM

adding @fgiunchedi because he worked on this on T89366 and @RobH because he will be on Clinic Duty next week

do you guys know which admin groups specifically?

Dzahn added a comment.Mar 7 2015, 12:23 AM

@GWicke:

seems we currenlty have: restbase-roots and cassandra-test-roots but not cassandra-roots. are we talking about one of these groups or do we need a new one? do you know already?

@Dzahn, restbase-roots and cassandra-test-roots are fine, that's what mobrovac & I have as well. Can reshuffle the groups some other time, there's no functional need for it.

Change 194987 had a related patch set uploaded (by Dzahn):
add eevans to restbase/cassandra roots and deployers

https://gerrit.wikimedia.org/r/194987

Dzahn added a comment.Mar 7 2015, 12:54 AM

@Eevans Hi! We are preparing your shell access request. Please read and sign L3 and provide us with a SSH public key (but not the same that you already use for labs, please). Thank you

Dzahn assigned this task to RobH.Mar 7 2015, 12:55 AM
Eevans added a comment.Mar 9 2015, 4:55 AM

Here is my public key:

ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDdE3SnW3e2DxOwJ9iclnbne01cjmoyp6irLeolPpMLcyKXx44eaK44qqhyfRnEoM3TYAeye/YBDB/CL33idRLT7iq1lbIQD7QY9pyf1dp2UBKhJv5FkjViveEe+g69XMcTQdoaPZySHJxHhPkVRVH1ZyfIEZYFWgCIWU1P7T6iiJ7aiBygKq7pKcCSSu6adm2Y+ATFZNqYW5+IryKAiJE87U+YOIY95FusKE4CxovIV363KqXsOQmJ+zr9kSDOlbfv9ILcrkHe8Dp5jeVLFye/dZPE8AEM7S6cXVQbkEvgb4ahpxZo5eEulVjLZdjaZEh/sDGK8++DQObaGKzeRmEP wmf

RobH added a comment.Mar 9 2015, 6:49 PM

his sudo for cassandra test roots has been approved in the operations weekly meeting.

Change 194987 merged by RobH:
add eevans to restbase/cassandra roots and deployers

https://gerrit.wikimedia.org/r/194987

RobH closed this task as Resolved.Mar 9 2015, 9:58 PM
RobH closed subtask Restricted Task as Declined.

access approved and merged live.

Should this also apply to the test cluster? I have no access there (and need it). Should I submit a separate issue?

Should this also apply to the test cluster? I have no access there (and need it). Should I submit a separate issue?

Nevermind, this has been all sorted out.